#include "CLogging.h"

CLogging::CLogging()
{
	SYSTEMTIME time;
	GetLocalTime(&time);

	// Turn time into a filename
	string filename = "";
	char* c = new char[6];
	_itoa_s(time.wHour, c, 6, 10);
	filename.append(c);
	filename += "h ";
	_itoa_s(time.wMinute, c, 6, 10);
	filename.append(c);
	filename += "m ";
	_itoa_s(time.wSecond, c, 6, 10);
	filename.append(c);
	filename += "s.txt";

	// Create a logs dir
	_mkdir("Logs\\");
	string dir = "Logs\\";
	_itoa_s(time.wDay, c, 6, 10);
	dir.append(c);
	dir += ".";
	_itoa_s(time.wMonth, c, 6, 10);
	dir.append(c);
	dir += ".";
	_itoa_s(time.wYear, c, 6, 10);
	dir.append(c);
	_mkdir(dir.c_str());
	dir += "\\";
	dir += filename;
	m_LogStream.open(dir, ios::out);

	delete[] c;

	if (m_LogStream.is_open())
		m_LogStream << "Started logging SMART Payout comms...\n" << endl;

	m_PacketCounter = 0;
}

CLogging::~CLogging()
{
	if (m_LogStream.is_open())
		m_LogStream.close();
}

void CLogging::UpdateLog(const SSP_COMMAND_INFO* info)
{
    unsigned char len;
	char* buffer;
	buffer = new char[32];

    // NON-ENCRPYTED
    // transmission
    m_LogStream << "\nNo Encryption\nSent Packet #";
	m_LogStream << _itoa_s(m_PacketCounter, buffer, 32, 10);
	len = info->PreEncryptTransmit.PacketData[2];
	m_LogStream << "\nCommand Name: ";
	m_LogStream << info->CommandName;
    m_LogStream << "\nLength: ";
	m_LogStream << _itoa_s(len, buffer, 32, 10);
    m_LogStream << "\nSync: ";
	m_LogStream << _itoa_s((info->PreEncryptTransmit.PacketData[1] >> 7), buffer, 32,  10);
    m_LogStream << "\nData: ";
	for (int i = 3; i < len+3; i++)
	{
		m_LogStream << _itoa_s(info->PreEncryptTransmit.PacketData[i], buffer, 32,  16);
		m_LogStream << " ";
	}
    m_LogStream << "\n";

    // received
    m_LogStream << "\nReceived Packet #";
	m_LogStream << _itoa_s(m_PacketCounter, buffer, 32,  10);
	len = info->PreEncryptRecieve.PacketData[2];
    m_LogStream << "\nLength: ";
	m_LogStream << _itoa_s(len, buffer, 32,  10);
    m_LogStream << "\nSync: ";
	m_LogStream << _itoa_s((info->PreEncryptRecieve.PacketData[1] >> 7), buffer, 32,  10);
    m_LogStream << "\nData: ";
	for (int i = 3; i < len+3; i++)
	{
		m_LogStream << _itoa_s(info->PreEncryptRecieve.PacketData[i], buffer, 32,  16);
		m_LogStream << " ";
	}
    m_LogStream << "\n";

    m_PacketCounter++;
	delete[] buffer;
}